#include "EmuDialogData.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a EmuDialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
EmuDialogData::EmuDialogData( QWidget* parent )
    : QDialog( parent)
{
    setupUi(this); // this sets up GUI
}

/*
 *  Destroys the object and frees any allocated resources
 */
EmuDialogData::~EmuDialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EmuDialogData::languageChange()
{
    setCaption( tr( "Emulator config" ) );
    emuGrp->setTitle( tr( "General settings" ) );
    SIDfilter->setText( tr( "SID filter" ) );
    ///measVol->setText( tr( "Measured volume" ) );
    mos8580->setText( tr( "MOS 8580 waveforms" ) );
    forceSS->setText( tr( "Force song speed" ) );
    mpuGrp->setTitle( tr( "MPU memory mode" ) );
    fullBS->setText( tr( "Full bank-switching" ) );
    transROM->setText( tr( "Transparent ROM" ) );
    psidEnv->setText( tr( "PlaySID environment" ) );
    clockGrp->setTitle( tr( "C64 clock speed" ) );
    clockPAL->setText( tr( "PAL" ) );
    clockNTSC->setText( tr( "NTSC" ) );
}

void EmuDialogData::newCLKsetting(int)
{
    qWarning( "EmuDialogData::newCLKsetting(int): Not implemented yet" );
}

void EmuDialogData::newEMUsetting(int)
{
    qWarning( "EmuDialogData::newEMUsetting(int): Not implemented yet" );
}

void EmuDialogData::newMPUsetting(int)
{
    qWarning( "EmuDialogData::newMPUsetting(int): Not implemented yet" );
}

void EmuDialogData::newSIDsetting(int)
{
    qWarning("EmuDialogData::newSIDsetting(int): Not implemented yet");
}