/*
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef EMUDIALOGNEW_H
#define EMUDIALOGNEW_H

#include <qdialog.h>
#include "Config.h"
#include "wrapper/sid/EmuConfig.h"
#include "ui_EmuDialogNew.h"
#include "FilterDialog.h"
#include "MixerDialog.h"

class EmuDialogNew : public QDialog, public Ui::EmuDialogNew
{
    Q_OBJECT

public:
    EmuDialogNew( QWidget* parent = 0);
    ~EmuDialogNew();
      
    void setConfig(const EmuConfig&);
    const EmuConfig& getConfig() const;
    
    FilterDialog* myFilterDlg;
    MixerDialog* myMixerDlg;
    
public slots:

    void receiveConfig(const EmuConfig&);   
    
protected:

    EmuConfig config;  
    
signals:

    void changed(const EmuConfig&);    

protected slots:
  
    //virtual void languageChange();
    
    virtual void newCLKsetting();
    virtual void newEMUsetting();
    virtual void newMPUsetting();
    virtual void newSIDsetting();
    virtual void setLibrary(QString);   
    virtual void mixer_L1();    
    virtual void filter_L1();    
    
    virtual void newMPUsetting_LFp_Re();   
    virtual void newEMUsetting_LFp_Re();  
    virtual void newCLKsetting_LFp_Re();
    virtual void newSIDsetting_LFp_Re();
    virtual void newSamplingSetting_LFp_Re();
    virtual void newPassbandSetting_LFp_Re(int);
    virtual void newFilterGainSetting_LFp_Re(int);
    virtual void newFilterBiasSetting_LFp_Re(int);
    virtual void newEngine_LFp();
    
private:
    
    void setButtons();   
    void emitChangedIfEnabled();
    bool changedSignalEnabled;
    void enableChangedSignal(bool);  
};

#endif // EMUDIALOGNEW_H