#ifndef FILTERDIALOGDATA_H
#define FILTERDIALOGDATA_H

#include <qvariant.h>
#include <qdialog.h>
#include "Config.h"
#include "ui_FilterDialog.h"


class FilterDialogData : public QDialog, public Ui::FilterDialogData
{
    Q_OBJECT

public:
    FilterDialogData( QWidget* parent = 0 );
    ~FilterDialogData();

    QSlider* para1Sld;
    QLabel* TextLabel1;
    QFrame* Line1;
    QSlider* para2Sld;
    QLabel* TextLabel2;
    QFrame* Line2;
    QSlider* para3Sld;
    QLabel* TextLabel3;
    QFrame* Line3;
    QPushButton* defaultBtn;
    QCheckBox* isEnabled;
    QFrame* FiltPicFrame;

protected:
    QGridLayout* FilterDialogDataLayout;
    QVBoxLayout* Layout8;
    QHBoxLayout* Layout5;
    QHBoxLayout* Layout6;
    QHBoxLayout* Layout7;
    QHBoxLayout* Layout3;

protected slots:
    virtual void languageChange();

    virtual void setBitsPerSample( int );
    virtual void setChannels( int );
    virtual void setFrequency( int );
    virtual void setDefaults();
    virtual void setFilterFlag( bool );
    virtual void updatePara1( int );
    virtual void updatePara2( int );
    virtual void updatePara3( int );


};

#endif // FILTERDIALOGDATA_H
