#include "HVSC_DialogData.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a HVSC_DialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
HVSC_DialogData::HVSC_DialogData( QWidget* parent )
    : QDialog( parent )
{
    setupUi(this); // this sets up GUI
}

/*
 *  Destroys the object and frees any allocated resources
 */
HVSC_DialogData::~HVSC_DialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HVSC_DialogData::languageChange()
{
    setWindowTitle( tr( "HVSC settings" ) );
    browseBtn->setText( tr( "Browse" ) );
    TextLabel1->setText( tr( "High Voltage SID Collection root directory:" ) );
    TextLabel2->setText( tr( "Maximum STIL View height:" ) );
    ButtonGroup1->setTitle( tr( "Show STIL entries for" ) );
    showCurrentSongBtn->setText( tr( "current song" ) );
    showFileBtn->setText( tr( "current file" ) );
    autoResizeBtn->setText( tr( "Autoresize STIL View window" ) );
    bugListEntryBox->setText( tr( "Show BUGlist entries" ) );
    stilEntryBox->setText( tr( "Show STIL file-specific entries" ) );
    globalCommentBox->setText( tr( "Show STIL section-global comment" ) );
    cancelButton->setText( tr( "Cancel" ) );
    okButton->setText( tr( "OK" ) );
}

void HVSC_DialogData::browseButtonClicked()
{
    qWarning( "HVSC_DialogData::browseButtonClicked(): Not implemented yet" );
}

void HVSC_DialogData::cancelButtonClicked()
{
    qWarning( "HVSC_DialogData::cancelButtonClicked(): Not implemented yet" );
}

void HVSC_DialogData::okButtonClicked()
{
    qWarning( "HVSC_DialogData::okButtonClicked(): Not implemented yet" );
}

