#include "HistoryDialogData.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <q3listbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a HistoryDialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
HistoryDialogData::HistoryDialogData( QWidget* parent)
    : QDialog( parent )
{
    setupUi(this); // this sets up GUI
}

/*
 *  Destroys the object and frees any allocated resources
 */
HistoryDialogData::~HistoryDialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HistoryDialogData::languageChange()
{
    setWindowTitle( tr( "History" ) );
    maxItemsLabel->setText( tr( "Max. entries:" ) );
    deleteButton->setText( tr( "Delete" ) );
    clearButton->setText( tr( "Clear" ) );
    prevButton->setText( tr( "Previous" ) );
    nextButton->setText( tr( "Next" ) );
}

void HistoryDialogData::clearButtonClicked()
{
    qWarning( "HistoryDialogData::clearButtonClicked(): Not implemented yet" );
}

void HistoryDialogData::historyItemHighlighted(int)
{
    qWarning( "HistoryDialogData::historyItemHighlighted(int): Not implemented yet" );
}

void HistoryDialogData::historySizeChanged()
{
    qWarning( "HistoryDialogData::historySizeChanged(): Not implemented yet" );
}

void HistoryDialogData::deleteButtonClicked()
{
    qWarning( "HistoryDialogData::deleteButtonClicked(): Not implemented yet" );
}

void HistoryDialogData::nextButtonClicked()
{
    qWarning( "HistoryDialogData::nextButtonClicked(): Not implemented yet" );
}

void HistoryDialogData::prevButtonClicked()
{
    qWarning( "HistoryDialogData::prevButtonClicked(): Not implemented yet" );
}

