#include "MainDialogData.h"

#include <qvariant.h>
#include <qslider.h>
#include <qlabel.h>
#include <qlcdnumber.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qwhatsthis.h>
#include "widgets/PicButton.h"
#include "widgets/TimeLCD.h"

/*
 *  Constructs a MainDialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MainDialogData::MainDialogData( QWidget* parent )
    : QWidget( parent )
{
    setupUi(this); // this sets up GUI
}

/*
 *  Destroys the object and frees any allocated resources
 */
MainDialogData::~MainDialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MainDialogData::languageChange()
{
    setWindowTitle( tr( "SIDPLAY" ) );
    subSongSlider->setToolTip( tr( "Quick song selection" ) );
    prevBtn->setToolTip( tr( "Previous Song" ) );
    stopBtn->setToolTip( tr( "Stop playing" ) );
    playBtn->setToolTip( tr( "Play/Pause" ) );
    ffBtn->setToolTip( tr( "Fast forward" ) );
    nextBtn->setToolTip( tr( "Next song" ) );
    infoField->setText( QString::null );
    songLCD->setToolTip( tr( "Current song" ) );
    playlistCheckBox->setText( tr( "playlist enabled" ) );
    loopCheckBox->setText( tr( "loop playlist" ) );
    randomCheckBox->setText( tr( "random play" ) );
}

void MainDialogData::forwardSongPressed()
{
    qWarning( "MainDialogData::forwardSongPressed(): Not implemented yet" );
}

void MainDialogData::forwardSongReleased()
{
    qWarning( "MainDialogData::forwardSongReleased(): Not implemented yet" );
}

void MainDialogData::newSubSong(int)
{
    qWarning( "MainDialogData::newSubSong(int): Not implemented yet" );
}

void MainDialogData::setPlaylistEnabled(bool)
{
    qWarning( "MainDialogData::setPlaylistEnabled(bool): Not implemented yet" );
}

void MainDialogData::nextSongPressed()
{
    qWarning( "MainDialogData::nextSongPressed(): Not implemented yet" );
}

void MainDialogData::nextSongReleased()
{
    qWarning( "MainDialogData::nextSongReleased(): Not implemented yet" );
}

void MainDialogData::playSongPressed()
{
    qWarning( "MainDialogData::playSongPressed(): Not implemented yet" );
}

void MainDialogData::playSongReleased()
{
    qWarning( "MainDialogData::playSongReleased(): Not implemented yet" );
}

void MainDialogData::prevSongPressed()
{
    qWarning( "MainDialogData::prevSongPressed(): Not implemented yet" );
}

void MainDialogData::prevSongReleased()
{
    qWarning( "MainDialogData::prevSongReleased(): Not implemented yet" );
}

void MainDialogData::setLoopPlayEnabled(bool)
{
    qWarning( "MainDialogData::setLoopPlayEnabled(bool): Not implemented yet" );
}

void MainDialogData::setRandomPlayEnabled(bool)
{
    qWarning( "MainDialogData::setRandomPlayEnabled(bool): Not implemented yet" );
}

void MainDialogData::stopSongPressed()
{
    qWarning( "MainDialogData::stopSongPressed(): Not implemented yet" );
}

void MainDialogData::stopSongReleased()
{
    qWarning( "MainDialogData::stopSongReleased(): Not implemented yet" );
}

