#include "MixerDialogData.h"

#include <qvariant.h>
#include <qframe.h>
#include <qslider.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "widgets/LEDButton.h"

/*
 *  Constructs a MixerDialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
MixerDialogData::MixerDialogData( QWidget* parent )
    : QDialog( parent )
{
    setupUi(this); // this sets up GUI      
}

/*
 *  Destroys the object and frees any allocated resources
 */
MixerDialogData::~MixerDialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MixerDialogData::languageChange()
{
    setWindowTitle( tr( "Software mixer" ) );
    TextLabel1->setText( tr( "Voice 1" ) );
    voice4soloBtn->setText( tr( "Solo" ) );
    voice2muteBtn->setText( tr( "Mute" ) );
    mixerGrp->setTitle( tr( "Mixing mode" ) );
    voice2soloBtn->setText( tr( "Solo" ) );
    TextLabel3->setText( tr( "Voice 3" ) );
    voice1muteBtn->setText( tr( "Mute" ) );
    effectsGrp->setTitle( tr( "Stereo effects" ) );
    voice3soloBtn->setText( tr( "Solo" ) );
    voice3muteBtn->setText( tr( "Mute" ) );
    TextLabel4->setText( tr( "[Voice 4]" ) );
    TextLabel2->setText( tr( "Voice 2" ) );
    voice1soloBtn->setText( tr( "Solo" ) );
    voice4muteBtn->setText( tr( "Mute" ) );
}

void MixerDialogData::muteVoice1(bool)
{
    qWarning( "MixerDialogData::muteVoice1(bool): Not implemented yet" );
}

void MixerDialogData::muteVoice2(bool)
{
    qWarning( "MixerDialogData::muteVoice2(bool): Not implemented yet" );
}

void MixerDialogData::muteVoice3(bool)
{
    qWarning( "MixerDialogData::muteVoice3(bool): Not implemented yet" );
}

void MixerDialogData::muteVoice4(bool)
{
    qWarning( "MixerDialogData::muteVoice4(bool): Not implemented yet" );
}

void MixerDialogData::setCenteredPanning()
{
    qWarning( "MixerDialogData::setCenteredPanning(): Not implemented yet" );
}

void MixerDialogData::setEffectsOff()
{
    qWarning( "MixerDialogData::setEffectsOff(): Not implemented yet" );
}

void MixerDialogData::setFullPanning()
{
    qWarning( "MixerDialogData::setFullPanning(): Not implemented yet" );
}

void MixerDialogData::setHighQuality()
{
    qWarning( "MixerDialogData::setHighQuality(): Not implemented yet" );
}

void MixerDialogData::setMixerOff()
{
    qWarning( "MixerDialogData::setMixerOff(): Not implemented yet" );
}

void MixerDialogData::setStereoSurround()
{
    qWarning( "MixerDialogData::setStereoSurround(): Not implemented yet" );
}

void MixerDialogData::setVoice1Pan(int)
{
    qWarning( "MixerDialogData::setVoice1Pan(int): Not implemented yet" );
}

void MixerDialogData::setVoice1Volume(int)
{
    qWarning( "MixerDialogData::setVoice1Volume(int): Not implemented yet" );
}

void MixerDialogData::setVoice2Pan(int)
{
    qWarning( "MixerDialogData::setVoice2Pan(int): Not implemented yet" );
}

void MixerDialogData::setVoice2Volume(int)
{
    qWarning( "MixerDialogData::setVoice2Volume(int): Not implemented yet" );
}

void MixerDialogData::setVoice3Pan(int)
{
    qWarning( "MixerDialogData::setVoice3Pan(int): Not implemented yet" );
}

void MixerDialogData::setVoice3Volume(int)
{
    qWarning( "MixerDialogData::setVoice3Volume(int): Not implemented yet" );
}

void MixerDialogData::setVoice4Pan(int)
{
    qWarning( "MixerDialogData::setVoice4Pan(int): Not implemented yet" );
}

void MixerDialogData::setVoice4Volume(int)
{
    qWarning( "MixerDialogData::setVoice4Volume(int): Not implemented yet" );
}

void MixerDialogData::soloVoice1(bool)
{
    qWarning( "MixerDialogData::soloVoice1(bool): Not implemented yet" );
}

void MixerDialogData::soloVoice2(bool)
{
    qWarning( "MixerDialogData::soloVoice2(bool): Not implemented yet" );
}

void MixerDialogData::soloVoice3(bool)
{
    qWarning( "MixerDialogData::soloVoice3(bool): Not implemented yet" );
}

void MixerDialogData::soloVoice4(bool)
{
    qWarning( "MixerDialogData::soloVoice4(bool): Not implemented yet" );
}

