#ifndef MIXERDIALOGDATA_H
#define MIXERDIALOGDATA_H

#include "Config.h"
#include <qvariant.h>
#include <qpixmap.h>
#include <qdialog.h>
#include "ui_MixerDialog.h"

class MixerDialogData : public QDialog, public Ui::MixerDialogData
{
    Q_OBJECT

public:
    MixerDialogData( QWidget* parent = 0 );
    ~MixerDialogData();

protected slots:
    virtual void languageChange();

    virtual void muteVoice1( bool );
    virtual void muteVoice2( bool );
    virtual void muteVoice3( bool );
    virtual void muteVoice4( bool );
    virtual void setCenteredPanning();
    virtual void setEffectsOff();
    virtual void setFullPanning();
    virtual void setHighQuality();
    virtual void setMixerOff();
    virtual void setStereoSurround();
    virtual void setVoice1Pan( int );
    virtual void setVoice1Volume( int );
    virtual void setVoice2Pan( int );
    virtual void setVoice2Volume( int );
    virtual void setVoice3Pan( int );
    virtual void setVoice3Volume( int );
    virtual void setVoice4Pan( int );
    virtual void setVoice4Volume( int );
    virtual void soloVoice1( bool );
    virtual void soloVoice2( bool );
    virtual void soloVoice3( bool );
    virtual void soloVoice4( bool );
};

#endif // MIXERDIALOGDATA_H
