#include "PlaylistDialogData.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <q3listbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PlaylistDialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PlaylistDialogData::PlaylistDialogData( QWidget* parent )
    : QDialog( parent )
{ 
    setupUi(this); // this sets up GUI   
}

/*
 *  Destroys the object and frees any allocated resources
 */
PlaylistDialogData::~PlaylistDialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PlaylistDialogData::languageChange()
{
    setWindowTitle( tr( "Playlist" ) );
    startButton->setText( tr( "Start" ) );
    prevButton->setText( tr( "Prev" ) );
    nextButton->setText( tr( "Next" ) );
    listPosLabel->setText( tr( "#" ) );
    subtuneLabel->setText( tr( "Subtune:" ) );
    playtimeLabel->setText( tr( "Playtime:" ) );
    fadeoutLabel->setText( tr( "Fadeout:" ) );
}

void PlaylistDialogData::deleteButtonClicked()
{
    qWarning( "PlaylistDialogData::deleteButtonClicked(): Not implemented yet" );
}

void PlaylistDialogData::nextButtonClicked()
{
    qWarning( "PlaylistDialogData::nextButtonClicked(): Not implemented yet" );
}

void PlaylistDialogData::startButtonClicked()
{
    qWarning( "PlaylistDialogData::startButtonClicked(): Not implemented yet" );
}

void PlaylistDialogData::playlistItemHighlighted(int)
{
    qWarning( "PlaylistDialogData::playlistItemHighlighted(int): Not implemented yet" );
}

void PlaylistDialogData::playlistItemSelected(int)
{
    qWarning( "PlaylistDialogData::playlistItemSelected(int): Not implemented yet" );
}

void PlaylistDialogData::prevButtonClicked()
{
    qWarning( "PlaylistDialogData::prevButtonClicked(): Not implemented yet" );
}

