#include "PlaylistEditDialogData.h"

#include <qvariant.h>
#include <q3listbox.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

static const char* const image0_data[] = { 
"24 24 20 1",
". c None",
"r c #101410",
"q c #202020",
"d c #202420",
"g c #282828",
"m c #282c28",
"k c #303030",
"e c #303430",
"o c #383c38",
"n c #414141",
"b c #414541",
"h c #515551",
"p c #595d59",
"i c #616561",
"j c #717571",
"a c #797979",
"c c #868286",
"# c #9e9e9e",
"l c #a6a2a6",
"f c #b6b2b6",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................",
"..........#ab#..........",
"..........acde..........",
".........afeggh.........",
"........#fhgggdi........",
"........#jgggggk#.......",
".......almgggggdh.......",
"......alngggggggdi......",
"......ahgggggggggo#.....",
".....ipgggggggggggh.....",
".....kdddddddddddqr.....",
".....#iiiiiiiiiiiia.....",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................"};

static const char* const image1_data[] = { 
"24 24 15 1",
". c None",
"k c #101410",
"m c #181818",
"l c #181c18",
"g c #202420",
"i c #282828",
"j c #282c28",
"h c #303430",
"f c #383c38",
"b c #515551",
"e c #595959",
"d c #616561",
"c c #696d69",
"a c #797979",
"# c #9e9e9e",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................",
".......####.####a#......",
".....bccccdedeefegh.....",
".....biiiiiiiiiiiij.....",
".....#giiiiiiiiiika.....",
"......dgiiiiiiiild......",
".......biiiiiiigj.......",
".......#giiiiiika.......",
"........agiiiimd........",
".........diiigj.........",
"..........jiig#.........",
"..........#hka..........",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................"};


/*
 *  Constructs a PlaylistEditDialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PlaylistEditDialogData::PlaylistEditDialogData( QWidget* parent )
    : QDialog( parent ),
      image0( (const char **) image0_data ),
      image1( (const char **) image1_data )
{
    setupUi(this); // this sets up GUI  
}

/*
 *  Destroys the object and frees any allocated resources
 */
PlaylistEditDialogData::~PlaylistEditDialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PlaylistEditDialogData::languageChange()
{
    setWindowTitle( tr( "Playlist editor" ) );
    prevButton->setText( tr( "Play Previous" ) );
    nextButton->setText( tr( "Play Next" ) );
    moveUpButton->setText( QString::null );
    listPosLabel->setText( tr( "#" ) );
    fadeoutLabel->setText( tr( "Fadeout:" ) );
    subtuneLabel->setText( tr( "Subtune:" ) );
    playtimeLabel->setText( tr( "Playtime:" ) );
    moveDownButton->setText( QString::null );
}

void PlaylistEditDialogData::clearListMenu(Q3ListBoxItem*,const QPoint&)
{
    qWarning( "PlaylistEditDialogData::clearListMenu(QListBoxItem*,const QPoint&): Not implemented yet" );
}

void PlaylistEditDialogData::fadeoutValueChanged(int)
{
    qWarning( "PlaylistEditDialogData::fadeoutValueChanged(int): Not implemented yet" );
}

void PlaylistEditDialogData::moveDownButtonClicked()
{
    qWarning( "PlaylistEditDialogData::moveDownButtonClicked(): Not implemented yet" );
}

void PlaylistEditDialogData::moveUpButtonClicked()
{
    qWarning( "PlaylistEditDialogData::moveUpButtonClicked(): Not implemented yet" );
}

void PlaylistEditDialogData::nextButtonClicked()
{
    qWarning( "PlaylistEditDialogData::nextButtonClicked(): Not implemented yet" );
}

void PlaylistEditDialogData::playlistItemHighlighted(int)
{
    qWarning( "PlaylistEditDialogData::playlistItemHighlighted(int): Not implemented yet" );
}

void PlaylistEditDialogData::playlistItemSelected(int)
{
    qWarning( "PlaylistEditDialogData::playlistItemSelected(int): Not implemented yet" );
}

void PlaylistEditDialogData::playtimeValueChanged(int)
{
    qWarning( "PlaylistEditDialogData::playtimeValueChanged(int): Not implemented yet" );
}

void PlaylistEditDialogData::popUpListMenu(Q3ListBoxItem*,const QPoint&)
{
    qWarning( "PlaylistEditDialogData::popUpListMenu(QListBoxItem*,const QPoint&): Not implemented yet" );
}

void PlaylistEditDialogData::prevButtonClicked()
{
    qWarning( "PlaylistEditDialogData::prevButtonClicked(): Not implemented yet" );
}

void PlaylistEditDialogData::subtuneValueChanged(int)
{
    qWarning( "PlaylistEditDialogData::subtuneValueChanged(int): Not implemented yet" );
}

