#ifndef PLAYLISTEDITDIALOGDATA_H
#define PLAYLISTEDITDIALOGDATA_H

#include "Config.h"
#include <qvariant.h>
#include <qpixmap.h>
#include <qdialog.h>
#include "ui_PlaylistEditDialog.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QListBox;
class QListBoxItem;
class QPushButton;
class QLabel;
class QSpinBox;

class PlaylistEditDialogData : public QDialog, public Ui::PlaylistEditDialogData
{
    Q_OBJECT
    const char** image0;
    const char** image1;

public:
    PlaylistEditDialogData( QWidget* parent = 0 );
    ~PlaylistEditDialogData();

protected slots:
    virtual void languageChange();

    virtual void clearListMenu(Q3ListBoxItem*, const QPoint&);
    virtual void fadeoutValueChanged(int);
    virtual void moveDownButtonClicked();
    virtual void moveUpButtonClicked();
    virtual void nextButtonClicked();
    virtual void playlistItemHighlighted(int);
    virtual void playlistItemSelected(int);
    virtual void playtimeValueChanged(int);
    virtual void popUpListMenu(Q3ListBoxItem*, const QPoint&);
    virtual void prevButtonClicked();
    virtual void subtuneValueChanged(int);
};

#endif // PLAYLISTEDITDIALOGDATA_H
