#include "PlaylistOptDialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PlaylistOptDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PlaylistOptDialog::PlaylistOptDialog( QWidget* parent )
    : QDialog( parent )
{
    setupUi(this); // this sets up GUI
     
    // signals and slots connections
    connect( cancelButton, SIGNAL( released() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( released() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PlaylistOptDialog::~PlaylistOptDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PlaylistOptDialog::languageChange()
{
    setWindowTitle( tr( "Playlist defaults" ) );
    playtimeLabel->setText( tr( "Playtime:" ) );
    fadeoutLabel->setText( tr( "Fadeout:" ) );
    songlenDBcheckbox->setText( tr( "Use songlength DB" ) );
    okButton->setText( tr( "OK" ) );
    cancelButton->setText( tr( "Cancel" ) );
}

