#include "PlaylistUpdateDialog.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PlaylistUpdateDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PlaylistUpdateDialog::PlaylistUpdateDialog( QWidget* parent)
    : QDialog( parent )
{
    setupUi(this); // this sets up GUI   
}

/*
 *  Destroys the object and frees any allocated resources
 */
PlaylistUpdateDialog::~PlaylistUpdateDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PlaylistUpdateDialog::languageChange()
{
    setWindowTitle( tr( "Playlist update" ) );
    DescriptionLabel->setText( tr( "You are about to update your playlist with possibly\n"
"changed credits and parameters from the actual\n"
"sidtune files on disk.\n"
"What other items would you like to update?" ) );
    itemsGroup->setTitle( QString::null );
    playtimeCheckBox->setText( tr( "Playtime from songlength database" ) );
    startsongCheckBox->setText( tr( "Default starting song" ) );
    okButton->setText( tr( "&OK" ) );
    cancelButton->setText( tr( "&Cancel" ) );
}

void PlaylistUpdateDialog::newCLKsetting(int)
{
    qWarning( "PlaylistUpdateDialog::newCLKsetting(int): Not implemented yet" );
}

void PlaylistUpdateDialog::newEMUsetting(int)
{
    qWarning( "PlaylistUpdateDialog::newEMUsetting(int): Not implemented yet" );
}

void PlaylistUpdateDialog::newMPUsetting(int)
{
    qWarning( "PlaylistUpdateDialog::newMPUsetting(int): Not implemented yet" );
}

