#include "SidIdDialogData.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SidIdDialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SidIdDialogData::SidIdDialogData( QWidget* parent)
    : QDialog( parent)
{
    setupUi(this); // this sets up GUI
}

/*
 *  Destroys the object and frees any allocated resources
 */
SidIdDialogData::~SidIdDialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SidIdDialogData::languageChange()
{
    setWindowTitle( tr( "SidId settings" ) );
    browseBtn->setText( tr( "Browse" ) );
    idIdTextLabel->setText( tr( "SidId configure file (sidid.cfg):" ) );
    cancelButton->setText( tr( "Cancel" ) );
    patternTextLabel->setText( tr( "Number of patterns used:" ) );
    playerTextLabel->setText( tr( "Number of players recognized:" ) );
    okButton->setText( tr( "OK" ) );
}

void SidIdDialogData::okButtonClicked()
{
    qWarning( "SidIdDialogData::okButtonClicked(): Not implemented yet" );
}

void SidIdDialogData::cancelButtonClicked()
{
    qWarning( "SidIdDialogData::cancelButtonClicked(): Not implemented yet" );
}

void SidIdDialogData::browseButtonClicked()
{
    qWarning( "SidIdDialogData::browseButtonClicked(): Not implemented yet" );
}

