#include "TSID2DialogData.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <q3table.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a TSID2DialogData as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
TSID2DialogData::TSID2DialogData( QWidget* parent)
    : QDialog( parent )
{
    setupUi(this); // this sets up GUI   
}

/*
 *  Destroys the object and frees any allocated resources
 */
TSID2DialogData::~TSID2DialogData()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TSID2DialogData::languageChange()
{
    setWindowTitle( tr( "TSID2 Best Lists" ) );
    maxItemsLabel_2->setText( tr( "Max best number entries:" ) );
    maxItemsLabel->setText( tr( "Max best time entries:" ) );
    okButton->setText( tr( "OK" ) );
    cancelButton->setText( tr( "Cancel" ) );
    CheckBoxPath->setText( tr( "Use custom root dir." ) );
    maxItemsLabel_3->setText( tr( "TSID2 root dir.:" ) );
    browseBtn->setText( tr( "Browse" ) );
    TextLabelTime->setText( tr( "Best list of time" ) );
    TextLabelNumber->setText( tr( "Best list of number" ) );
    TextLabel2->setText( tr( "Total number of listen:" ) );
    TextLabel1->setText( tr( "Total listen Time:" ) );
    ButtonGroup2->setTitle( tr( "Engine mode" ) );
    RadioButtonS->setText( tr( "Static" ) );
    RadioButtonD->setText( tr( "Dinamic" ) );
    TSID2TTable->horizontalHeader()->setLabel( 0, tr( "Name" ) );
    TSID2TTable->horizontalHeader()->setLabel( 1, tr( "Time" ) );
    TSID2NTable->horizontalHeader()->setLabel( 0, tr( "Name" ) );
    TSID2NTable->horizontalHeader()->setLabel( 1, tr( "Number" ) );
    Rebuild->setText( tr( "Rebuild" ) );
}

void TSID2DialogData::browseButtonClicked()
{
    qWarning( "TSID2DialogData::browseButtonClicked(): Not implemented yet" );
}

void TSID2DialogData::cancelButtonClicked()
{
    qWarning( "TSID2DialogData::cancelButtonClicked(): Not implemented yet" );
}

void TSID2DialogData::CheckBoxPath_stateChanged(int)
{
    qWarning( "TSID2DialogData::CheckBoxPath_stateChanged(int): Not implemented yet" );
}

void TSID2DialogData::okButtonClicked()
{
    qWarning( "TSID2DialogData::okButtonClicked(): Not implemented yet" );
}

void TSID2DialogData::rebuildButtonClicked()
{
    qWarning( "TSID2DialogData::rebuildButtonClicked(): Not implemented yet" );
}

