/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "SidTuneWrapper.h"
#include "MD5.h"
#include "TypeWrapper.h"

int SidTuneWrapper::getMaxSongs()  // static
{
  return SidDrivers::getDriver()->getMaxSongs();
}

unsigned long int SidTuneWrapper::getMaxSidFileLen()  // static
{
  return SidDrivers::getDriver()->getMaxSidFileLen();
}

SidTuneWrapper::SidTuneWrapper()
{
}

SidTuneWrapper::~SidTuneWrapper()
{
}

bool SidTuneWrapper::open(const QString& fileName)
{
  return SidDrivers::getDriver()->open(fileName);
}

bool SidTuneWrapper::load(void* buf, unsigned long int bufLen)
{
  return SidDrivers::getDriver()->load(buf, bufLen);
}

const QString& SidTuneWrapper::getMD5_Digest()
{
  return SidDrivers::getDriver()->getMD5_Digest();
}

void SidTuneWrapper::updateInfo()
{
  SidDrivers::getDriver()->updateInfo();
}

bool SidTuneWrapper::getStatus() const
{
  return SidDrivers::getDriver()->getStatus();
}

int SidTuneWrapper::getLoadAddr() const
{
  return SidDrivers::getDriver()->getLoadAddr();
}

int SidTuneWrapper::getInitAddr() const
{
  return SidDrivers::getDriver()->getInitAddr();
}

int SidTuneWrapper::getPlayAddr() const
{
  return SidDrivers::getDriver()->getPlayAddr();
}

int SidTuneWrapper::getSongs() const
{
  return SidDrivers::getDriver()->getSongs();
}

int SidTuneWrapper::getCurrentSong() const
{
  return SidDrivers::getDriver()->getCurrentSong();
}

int SidTuneWrapper::getStartSong() const
{
  return SidDrivers::getDriver()->getStartSong();
}

const char* SidTuneWrapper::getInfoString(int i) const
{
  return SidDrivers::getDriver()->getInfoString(i);
}

int SidTuneWrapper::getInfoStringsNum() const
{
  return SidDrivers::getDriver()->getInfoStringsNum();
}

const char* SidTuneWrapper::getStatusString() const
{
  return SidDrivers::getDriver()->getStatusString();
}

const char* SidTuneWrapper::getSpeedString() const
{
  return SidDrivers::getDriver()->getSpeedString();
}

const char* SidTuneWrapper::getFormatString() const
{    
  return SidDrivers::getDriver()->getFormatString();
}

bool SidTuneWrapper::savePSID(const QString& fileName, bool overWrite)
{
  return SidDrivers::getDriver()->savePSID(fileName.toLatin1(),overWrite);
}

SidLibrary* SidTuneWrapper::getSidTune() const
{
  return SidDrivers::getDriver()->getSidTune();
}

