/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef EMUCONFIG_H
#define EMUCONFIG_H

#include "Config.h"

#ifdef SID_WITH_SIDPLAY1
//#include "../emucfg.h"
struct emuConfig;
#endif

#ifdef SID_WITH_SIDPLAY2
//#include "../emucfg2.h"
struct emuConfig2;
#endif

#ifdef SID_WITH_SIDPLAYFP
//#include "../emucfg2.h"
struct emuConfig3;
#endif


#define LIB_EMPTY "No Library"
#define LIB_L1    "LIBSIDPLAY1"
#define LIB_L2    "LIBSIDPLAY2"
#define LIB_LFP   "LIBSIDPLAYFP"

/**
 * Emulator configuration for all kind of sid library
 */
class EmuConfig {

 public:
    /** Configuration constants for library */
    enum {
      EMPTY, L1, L2, LFP
    };     
   
#ifdef SID_WITH_SIDPLAY1
    /** Emulator configuration for sidlibrary1 */  
    emuConfig* pConfig1;    
#endif   
    
#ifdef SID_WITH_SIDPLAY2
    /** Emulator configuration for sidlibrary2 */  
    emuConfig2* pConfig2;
#endif   
    
#ifdef SID_WITH_SIDPLAYFP
    /** Emulator configuration for sidlibraryfp */  
    emuConfig3* pConfig3;
#endif      
    
    int library;

    EmuConfig();
    EmuConfig(const EmuConfig& p);             // copy construrctor  
    EmuConfig& operator=(const EmuConfig& p);  // deep copy
    
    ~EmuConfig();
private:
    void copy(const EmuConfig& p);  // copy for constructor
};

#endif  /* EmuConfig_h */
